Package net.shibboleth.idp.ui.taglib

# Class ServiceLogoTag

java.lang.Object
jakarta.servlet.jsp.tagext.TagSupport
jakarta.servlet.jsp.tagext.BodyTagSupport
net.shibboleth.idp.ui.taglib.ServiceTagSupport
net.shibboleth.idp.ui.taglib.ServiceLogoTag

All Implemented Interfaces:
  `BodyTag`, `IterationTag`, `JspTag`, `Tag`, `Serializable`

public class ServiceLogoTag extends ServiceTagSupport
Logo for the SP.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`altTxt`
Bean storage.
`private static final String`
`DEFAULT_ALT_TXT`
what to emit as alt txt if all else fails.
`private static final String`
`DEFAULT_VALUE`
what to emit if the jsp has nothing.
`private static org.slf4j.Logger`
`log`
Class logger.
`private int`
`maxHeight`
Bean storage.
`private int`
`maxWidth`
Bean storage.
`private int`
`minHeight`
Bean storage.
`private int`
`minWidth`
Bean storage.
`private static final long`
`serialVersionUID`
Serial ID.

### Fields inherited from class jakarta.servlet.jsp.tagext.BodyTagSupport

`bodyContent`

### Fields inherited from class jakarta.servlet.jsp.tagext.TagSupport

`id, pageContext`

### Fields inherited from interface jakarta.servlet.jsp.tagext.BodyTag

`EVAL_BODY_BUFFERED`

### Fields inherited from interface jakarta.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface jakarta.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

## Constructor Summary

Constructors
Constructor
Description
`ServiceLogoTag()`

## Method Summary

Modifier and Type
Method
Description
`int`
`doEndTag()`
`private String`
`getAltText()`
Find what the user specified for alt txt.
`private String`
`getHyperlink()`
Given the url, build an appropriate <a href=...
`private String`
`getLogoFromUIInfo()`
Get an appropriate Logo from UIInfo.
`void`
`setAlt(String value)`
Bean setter.
`void`
`setMaxHeight(Integer value)`
Bean setter.
`void`
`setMaxWidth(Integer value)`
Set the maximum width of the logo.
`void`
`setMinHeight(Integer value)`
Set the minimum height.
`void`
`setMinWidth(Integer value)`
Set the minimum width of the logo.

### Methods inherited from class net.shibboleth.idp.ui.taglib.ServiceTagSupport

`addClassAndId, buildHyperLink, getRelyingPartyUIContext, getServiceName, setCssClass, setCssId, setCssStyle, setUiContext`

### Methods inherited from class jakarta.servlet.jsp.tagext.BodyTagSupport

`doAfterBody, doInitBody, doStartTag, getBodyContent, getPreviousOut, release, setBodyContent`

### Methods inherited from class jakarta.servlet.jsp.tagext.TagSupport

`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface jakarta.servlet.jsp.tagext.Tag

`getParent, setPageContext, setParent`

## Field Details

### serialVersionUID

private static final long serialVersionUID
Serial ID.

See Also:
  - Constant Field Values

### log

@Nonnull private static org.slf4j.Logger log
Class logger.

### DEFAULT_VALUE

@Nonnull @NotEmpty private static final String DEFAULT_VALUE
what to emit if the jsp has nothing.

See Also:
  - Constant Field Values

### DEFAULT_ALT_TXT

@Nonnull @NotEmpty private static final String DEFAULT_ALT_TXT
what to emit as alt txt if all else fails.

See Also:
  - Constant Field Values

### minWidth

private int minWidth
Bean storage. Size constraint X

### maxWidth

private int maxWidth
Bean storage. Size constraint X

### minHeight

private int minHeight
Bean storage. Size constraint Y

### maxHeight

private int maxHeight
Bean storage. Size constraint Y

### altTxt

@Nullable private String altTxt
Bean storage. alt text

## Constructor Details

### ServiceLogoTag

public ServiceLogoTag()

## Method Details

### setMaxWidth

public void setMaxWidth(Integer value)
Set the maximum width of the logo.

Parameters:
  `value` - what to set

### setMinWidth

public void setMinWidth(Integer value)
Set the minimum width of the logo.

Parameters:
  `value` - what to set

### setMinHeight

public void setMinHeight(Integer value)
Set the minimum height.

Parameters:
  `value` - what to set

### setMaxHeight

public void setMaxHeight(Integer value)
Bean setter.

Parameters:
  `value` - what to set

### setAlt

public void setAlt(String value)
Bean setter.

Parameters:
  `value` - what to set

### getLogoFromUIInfo

@Nullable private String getLogoFromUIInfo()
Get an appropriate Logo from UIInfo.

Returns:
  the URL for a logo

### getAltText

@Nullable private String getAltText()
Find what the user specified for alt txt.

Returns:
  the text required

### getHyperlink

@Nullable private String getHyperlink()
Given the url, build an appropriate <a href=...

Returns:
  the constructed hyperlink or null

### doEndTag

public int doEndTag() throws JspException

Specified by:
  `doEndTag` in interface `Tag`
Overrides:
  `doEndTag` in class `BodyTagSupport`
Throws:
  `JspException`